ApiHive3ReplicationMetricsMetadata (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHive3ReplicationMetricsMetadata

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHive3ReplicationMetricsMetadata

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHive3ReplicationMetricsMetadata
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHive3ReplicationMetricsMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHive3ReplicationMetricsMetadata` | `dbName(String dbName)`
    `boolean` | `equals(Object o)`
    `String` | `getDbName()`
    `BigDecimal` | `getLastReplId()`
    `ReplicationType` | `getReplicationType()`
    `String` | `getStagingDir()`
    `int` | `hashCode()`
    `ApiHive3ReplicationMetricsMetadata` | `lastReplId(BigDecimal lastReplId)`
    `ApiHive3ReplicationMetricsMetadata` | `replicationType(ReplicationType replicationType)`
    `void` | `setDbName(String dbName)`
    `void` | `setLastReplId(BigDecimal lastReplId)`
    `void` | `setReplicationType(ReplicationType replicationType)`
    `void` | `setStagingDir(String stagingDir)`
    `ApiHive3ReplicationMetricsMetadata` | `stagingDir(String stagingDir)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHive3ReplicationMetricsMetadata

          public ApiHive3ReplicationMetricsMetadata()

  - ### Method Detail

    - #### dbName

          public ApiHive3ReplicationMetricsMetadata dbName(String dbName)

    - #### getDbName

          public String getDbName()

      Returns:
        dbName

    - #### setDbName

          public void setDbName(String dbName)

    - #### replicationType

          public ApiHive3ReplicationMetricsMetadata replicationType(ReplicationType replicationType)

    - #### getReplicationType

          public ReplicationType getReplicationType()

      Returns:
        replicationType

    - #### setReplicationType

          public void setReplicationType(ReplicationType replicationType)

    - #### stagingDir

          public ApiHive3ReplicationMetricsMetadata stagingDir(String stagingDir)

    - #### getStagingDir

          public String getStagingDir()

      Returns:
        stagingDir

    - #### setStagingDir

          public void setStagingDir(String stagingDir)

    - #### lastReplId

          public ApiHive3ReplicationMetricsMetadata lastReplId(BigDecimal lastReplId)

    - #### getLastReplId

          public BigDecimal getLastReplId()

      Returns:
        lastReplId

    - #### setLastReplId

          public void setLastReplId(BigDecimal lastReplId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.